Compare commits

...

5 Commits
rawhide ... f9

Author SHA1 Message Date
Fedora Release Engineering 8b17339490 dist-git conversion 2010-07-29 16:22:41 +00:00
Bill Nottingham 335fb9670a Fix typo that causes a failure to update the common directory. (releng
#2781)
2009-11-26 01:12:29 +00:00
vcrhonek d22961ca45 Don't disable allow_ypbind SELinux boolean on service shutdown 2008-06-10 13:34:39 +00:00
vcrhonek 02f73aad80 Fix init script timing again 2008-05-23 12:18:54 +00:00
Jesse Keating 9d8d92ef8f Initialize branch F-9 for ypbind 2008-04-22 04:18:59 +00:00
4 changed files with 21 additions and 40 deletions

View File

View File

@ -1,21 +0,0 @@
# Makefile for source rpm: ypbind
# $Id: Makefile,v 1.1 2004/09/09 15:12:10 cvsdist Exp $
NAME := ypbind
SPECFILE = $(firstword $(wildcard *.spec))
define find-makefile-common
for d in common ../common ../../common ; do if [ -f $$d/Makefile.common ] ; then if [ -f $$d/CVS/Root -a -w $$/Makefile.common ] ; then cd $$d ; cvs -Q update ; fi ; echo "$$d/Makefile.common" ; break ; fi ; done
endef
MAKEFILE_COMMON := $(shell $(find-makefile-common))
ifeq ($(MAKEFILE_COMMON),)
# attempt a checkout
define checkout-makefile-common
test -f CVS/Root && { cvs -Q -d $$(cat CVS/Root) checkout common && echo "common/Makefile.common" ; } || { echo "ERROR: I can't figure out how to checkout the 'common' module." ; exit -1 ; } >&2
endef
MAKEFILE_COMMON := $(shell $(checkout-makefile-common))
endif
include $(MAKEFILE_COMMON)

View File

@ -73,7 +73,7 @@ start() {
RETVAL=$?
echo
if [ $RETVAL -ne 0 ]; then
selinux_off
#selinux_off
logger -t ypbind "failed to start!"
return $RETVAL
fi
@ -82,29 +82,23 @@ start() {
# even when we are really not bound yet to a server, and then things
# that need NIS fail.
timeout=10
failure=0
while [ $timeout -gt 0 ]; do
firsttime=1
SECONDS=0
while [ $SECONDS -lt $timeout ]; do
if /usr/sbin/rpcinfo -p | LC_ALL=C fgrep -q ypbind
then
if [ $failure -eq 1 ]; then
if [ $firsttime -eq 1 ]; then
# reset timeout
timeout=$NISTIMEOUT
failure=0
firsttime=0
fi
/usr/bin/ypwhich > /dev/null 2>&1
RETVAL=$?
if [ $RETVAL -eq 0 ]; then
RETVAL=$?
if [ $RETVAL -eq 0 ]; then
break;
fi
# ypwhich has a hardcode 15sec timeout
# so subtract that from NISTIMEOUT to
# to see of we should continue to wait
timeout=`expr $timeout - 15`
else # wait for ypbind to get started
sleep 2
timeout=`expr $timeout - 2`
failure=1
fi
fi
sleep 2
echo -n "..."
done
if [ $RETVAL -eq 0 ]; then
@ -116,7 +110,7 @@ start() {
logger -t ypbind \
"NIS server for domain `domainname` is not responding."
failure
selinux_off
#selinux_off
RETVAL=100
fi
echo
@ -135,7 +129,7 @@ stop() {
fi
fi
echo
selinux_off
#selinux_off
return $RETVAL
}

View File

@ -1,7 +1,7 @@
Summary: The NIS daemon which binds NIS clients to an NIS domain.
Name: ypbind
Version: 1.20.4
Release: 4%{?dist}
Release: 6%{?dist}
License: GPL
Group: System Environment/Daemons
Source0: ftp://ftp.us.kernel.org/pub/linux/utils/net/NIS/ypbind-mt-%{PACKAGE_VERSION}.tar.bz2
@ -91,6 +91,14 @@ exit 0
%doc README NEWS
%changelog
* Tue Jun 10 2008 Vitezslav Crhonek <vcrhonek@redhat.com> - 3:1.20.4-6
- Don't disable allow_ypbind SELinux boolean on service shutdown
Resolves: #448240
* Fri May 23 2008 Vitezslav Crhonek <vcrhonek@redhat.com> - 3:1.20.4-5
- Fix init script timing again
Resolves: #447307
* Tue Feb 12 2008 Vitezslav Crhonek <vcrhonek@redhat.com> - 3:1.20.4-4
- Fix Buildroot